#
# spec file for package spek
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           spek
Version:        0.8.3
Release:        lp150.5.6
Summary:        Acoustic Spectrum Analyser
License:        GPL-3.0
Group:          Productivity/Multimedia/Sound/Utilities
Url:            http://spek.cc/
Source:         https://github.com/alexkay/spek/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool
BuildRequires:  pkg-config
BuildRequires:  update-desktop-files
BuildRequires:  wxWidgets-devel >= 3
BuildRequires:  pkgconfig(libavcodec) = 56.60.100
BuildRequires:  pkgconfig(libavfilter) = 5.40.101
BuildRequires:  pkgconfig(libavformat) = 56.40.101
Recommends:     %{name}-lang = %{version}

%description
Helps to analyse your audio files by showing their spectrogram.

%lang_package

%prep
%setup -q

%build
export AUTOPOINT='intltoolize --automake --copy'
autoreconf -fi
%configure
make %{?_smp_mflags}

%install
%make_install
%suse_update_desktop_file -r %{name} AudioVideo Audio Music
%find_lang %{name} %{?no_lang_C}

%post
%icon_theme_cache_post
%desktop_database_post

%postun
%icon_theme_cache_postun
%desktop_database_postun

%files
%defattr(-,root,root)
%doc README.md LICENCE.md
%{_bindir}/spek
%{_datadir}/applications/spek.desktop
%{_datadir}/icons/hicolor/*/apps/spek.*
%{_mandir}/man?/spek.?%{?ext_man}

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Tue Apr 14 2015 sor.alexei@meowr.ru
- Update to 0.8.3:
  * Do not set bit rate for lossless streams.
* Mon Apr 13 2015 avvissu@yandex.ru
- Use pkgconfig in package names
- Update the category: add %%%%suse_update_desktop_file
- Add %%%%desktop_database_{post,postun} macro to update the system
  MIME inside the desktop file
- Add %%icon_theme_cache_{post,postun}
* Tue Jul 30 2013 p.seiler@linuxmail.org
- Initial package.
